#!/bin/bash
# ==============================================================================
# SCRIPTS FOR CHROOTING STUNNEL 4.x ON DEBIAN SARGE/ETCH, version 0.2
# Project home page: http://tsampa.org/computing/servers/debian/stunnel/
# (c) Kristoffer Lindqvist <kris@tsampa.org>, 2005-2007
# ------------------------------------------------------------------------------
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version. See LICENSE for details.
# ==============================================================================
#
# This is preparejail.sh. See README for usage details.

if [ ! $# == 2 ]; then
  echo "Usage: $0 chdir user"
  exit
fi
     
CHDIR=$1
USER=$2

# create the user
adduser --home $CHDIR --shell /bin/false \
      --no-create-home --system --group $USER

mkdir -p ${CHDIR} &&
echo "...created $CHDIR"
